/** Prints the given error message and usage instructions, then terminates with a non-zero exit code. */
export default function failWithError(usage: string, msg?: string): never {
  if (msg !== undefined) {
    process.stderr.write(`Error: ${String(msg).trim()}\n`);
  }
  if (usage !== '') {
    process.stderr.write(`Usage: ${usage} \n`);
  }
  return process.exit(1);
}
